%global commit0 257dbf8b732da3371ea71be9a272e90f48892af1

Name: hunspell-ie
Summary: Interlingue hunspell dictionaries
Version: 1.0
Release: 2%{?dist}
Group: Applications/Text
Source0: https://github.com/Carmina16/hunspell-ie/archive/%{commit0}.tar.gz#/%{name}-%{version}.tar.gz
URL: https://github.com/Carmina16/hunspell-ie
License: ASL 2.0
BuildArch: noarch
Requires: hunspell

%description
Interlingue (Occidental) hunspell dictionaries.

%package -n hyphen-ie
Summary: Interlingue hyphenation rules
Group: Applications/Text
Requires: hyphen

%description -n hyphen-ie
Interlingue (Occidental) hyphenation rules.

%prep
%setup -q -n %{name}-%{commit0}

%build

%install
mkdir -p "$RPM_BUILD_ROOT"/%{_datadir}/hunspell
cp -p ie.* "$RPM_BUILD_ROOT"/%{_datadir}/hunspell
mkdir -p "$RPM_BUILD_ROOT"/%{_datadir}/hyphen
cp -p hyph_ie.dic "$RPM_BUILD_ROOT"/%{_datadir}/hyphen

pushd "$RPM_BUILD_ROOT"/%{_datadir}/hunspell/
dict_aliases="ie_CH ie_XX"
for lang in $dict_aliases; do
        ln -s ie.aff $lang.aff
        ln -s ie.dic $lang.dic
done

%files
%doc README.md
%license LICENSE
%{_datadir}/hunspell/*

%files -n hyphen-ie
%{_datadir}/hyphen/*

%changelog
* Tue Oct 11 2022 Olga Smirnova <mistresssilvara@hotmail.com> - 1.0-2
- upstream update
- hyphenation support

* Sat Apr 13 2019 Olga Smirnova <mistresssilvara@hotmail.com> - 0.7.1-1
- upstream update

* Sun Mar 13 2016 Olga Smirnova <mistresssilvara@hotmail.com> - 0.5.0-1
- initial version
